<!DOCTYPE html>
<html>
<head>
    <title>prob5</title>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script>
        $(document).ready(function () {

            //get file places.json
            $.getJSON('json/places.json', function (jd) {

                var result = "<ol>";
                var nameResult = "";
                var lati = "";
                var long = "";

                console.log(jd.results);


                for (var i = 0; i < jd.results.length; i++) {

                    var list = "<li>";

                    nameResult = "<p style='color: blue'>" + "name = " + jd.results[i].name;
                    lati = "<p style='color: green'>" + "location = " + jd.results[i].geometry.location.lati + " " + jd.results[i].geometry.location.long;
                    long = "<p style='color: green'>";

                    list += nameResult + "<br \>";
                    list += lati;
                    list += "</li>"

                    result += list;
                    
                    console.log(nameResult);

                }

                result += "</ol>"
                
            $('#stage').html(result);
            
            });

        });
    </script>
</head>

<body>
    <div id="stage">

    </div>
</body>

</html>